<?php
/**
 * @author CETIAD Dijon
 * @date Septembre 2011
 * @file cdc.config.php
 * @version 1.0
 * @copyright GNU Public License, see the LICENSE.txt file
 * @brief Fichier de configuration statique de l'application
 */

/**
 * paramètre de la base de données
 */
$dsn = 'mysql'; // nom du SGBD : MySQL uniquement, aucune BDD fournit pour PostgreSQL
$host = 'localhost'; // nom de l'hôte
$base = 'cdc_sauv'; // nom de la base
$user = 'cdc'; // nom de l'utilisateur de la base de données
$pass = 'cdc'; // mot de passe de l'utilisateur de la base de données

/**
 * authentification
 */
$auth = 'sql'; // sql, cas
$sel='AhJ5811L'; // 8 caractères maximum

/**
 * apparence de l'application
 */
$title = 'Carnet de Correspondance';
$theme='vitteaux'; // vitteaux, cloe, eole
$lang = 'fr'; // fr, en
$header = False; // True, False : affichage du bandeau d'entête, False pour intégrer dans Envole

/**
 * personnalisation de l'application
 */
$suspend = True; // True, False : active la fonction de suspension d'un carnet
$email = True; // True, False : envoi de courriel pour avertir d'un nouveau message
$name_of_sender = 'CDC'; // nom de l'expéditeur des courriels
$email_of_sender = 'admin@machine.org'; // adresse de l'expéditeur des courriels
date_default_timezone_set('Europe/Paris'); // configuration de de la zone horaire utilisée

/**
 * paramétrage du debug
 */
$debug = False; // True ou False
// afficher les erreurs à l'écran
$debug_display = False; // True ou False 
// erreurs dans un fichier de log
$DEBUG_LOG = False; // True ou False
// chemin du fichier de log
$debug_path = '';
// nom du fichier de log
$debug_file = 'log.txt';

/**
 * OpenLDAP
 */
// Partie à adapter en dico eole pour l'import LDAP
define("__LDAP_HOST", "localhost");
//define("__LDAP_HOST", "%%adresse_ip_ldap");
define("__LDAP_PORT", "389");
define("__LDAP_USER", "cn=admin");
define("__LDAP_PASS", "queefava"); // TODO : trouver la bonne variable scribe
define("__LDAP_NUM_ETAB", "0211234p");
//define("__LDAP_NUM_ETAB", "%%numero_etab");
define("__LDAP_NOM_ACADEMIE", "ac-dijon");
//define("__LDAP_NOM_ACADEMIE", "%%nom_academie");
define("__LDAP_BASE_DN", "o=gouv,c=fr");
//define("__LDAP_BASE_DN", "%%ldap_base_dn");
define("__LDAP_ELEVE_BRANCHE", "ou=local,ou=eleves,ou=utilisateurs,ou=".__LDAP_NUM_ETAB.",ou=".__LDAP_NOM_ACADEMIE.",ou=education");
define("__LDAP_PERS_BRANCHE", "ou=local,ou=personnels,ou=utilisateurs,ou=".__LDAP_NUM_ETAB.",ou=".__LDAP_NOM_ACADEMIE.",ou=education");
define("__LDAP_RESP_BRANCHE", "ou=local,ou=responsables,ou=utilisateurs,ou=".__LDAP_NUM_ETAB.",ou=".__LDAP_NOM_ACADEMIE.",ou=education");
define("__LDAP_GROUP_BRANCHE", "ou=local,ou=groupes,ou=".__LDAP_NUM_ETAB.",ou=".__LDAP_NOM_ACADEMIE.",ou=education");
// Valeur par défaut du champ user.enabled lors de l'import
define("__ENABLED_DEFAULT", True);

?>
